
QGIS Application - Bug report #9642

map overview pane fails to update when {opening,creating} a project from an existing project 

session

2014-02-24 06:16 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18214

Description

Steps to reproduce:

1. Create a project

2. Add one vector layer

3. Right click on added vector layer and activate '[x] show in overview'

4. Without exiting qgis, create a new project (Project > New), no need to save the current project

5. When the new project is created, the map overview pane will still show the overview of your former project

It's a regression on the qgis master build which does not affect qgis 2.2, flagging this as being a multi-threading rendering regression.

There's also a map overview extend issue, but I've yet to come up with a minimal project that shows the issue, working on it.

Associated revisions

Revision 1732db52 - 2014-02-25 10:52 AM - Martin Dobias

Fix #9642 (update overview even if map settings are not valid)

History

#1 - 2014-02-25 02:01 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"1732db5266e9e9b6ac4383dc36d029e02ed592b1".
